#include <string>
#include <iostream>
#include "tools.hpp"
const string version = "1.4 ";

using namespace std;

class RBRCar
{
    private:
    string names[10];
    string paths[4];
    string shader[10];
    string techData[11];
    string teamData[12];
    string carData[4];
    string car;
    
    public:
    RBRCar (string iniPath);
    RBRCar (void);    
    string getCarDir();
    string getCar();
    void print();
    void clean();
    string getPathLine(int n, int slot);
    string getShaderPath(int slot);
    string getShaderLine(int n, int slot);
    string getTechDataLine (int n);
    string getTechDataHeader(int slot);
    string RBRCar::getBestNameA(int slot);
    string RBRCar::getBestNameB(int slot);
    string RBRCar::getBestNameC(int slot);
    string getTeamDataLine (int n);
    string getCarDataLine (int n);
    
    void writeIni(string filename);
    void setPathsLine(int n, string line);
    void setTechDataLine(int n, string line);
    void setTeamDataLine(int n, string line);
    void setCarDataLine(int n, string line);
    void setName(string name);
};
