#ifndef TOOLS
#define TOOLS

#include <list>
#include <string>
#include <iostream>
#include <sstream>

using namespace std;

enum SectionType
{
    NONE = -1,
    NAMES = 0,
    PATHS = 1,
    TECHDATA = 2,
    TEAMDATA = 3,
    CARDATA = 4
};

void freplaces (string filename, int line, string str);
string freads (string filename, int line);
int stoi (const std::string & srcString);
FILE * fileOpen (string filename, string mode);
string getSlotNumber (int slot);
SectionType identifySectionType (string line);

void patchBinary (string filename, int offset, string newData);
void patchBinaryB (string filename, int offset, string newData);
string readBinary (string filename, int offset, int length);
#endif
